import time
from flask import Blueprint, request
from web_utils.get_arg import get_arg
from web_utils.task import Task

bp = Blueprint('api_task', __name__, url_prefix='/api/task')

@bp.route('/log')
def log():
	task_id = get_arg('task_id')
	from_char = int(get_arg('from', '0'))
	
	task = Task.get(task_id)
	if task == None:
		return { "task_finished": True, "new_output": "" }
	
	while task.is_alive() and len(task.get_output_str()) <= from_char:
		time.sleep(100)
	
	return  { "task_finished": not task.is_alive(), "new_output": task.get_output_str()[from_char:-1] }
